org.optaplanner.core.config.localsearch

## Enum LocalSearchType

- java.lang.Object
- - java.lang.Enum<LocalSearchType>
  - - org.optaplanner.core.config.localsearch.LocalSearchType

- All Implemented Interfaces:
    Serializable, Comparable<LocalSearchType>

      public enum LocalSearchType
      extends Enum<LocalSearchType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GREAT_DELUGE`
    `HILL_CLIMBING`
    `LATE_ACCEPTANCE`
    `SIMULATED_ANNEALING`
    `TABU_SEARCH`
    `VARIABLE_NEIGHBORHOOD_DESCENT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalSearchType[]` | `getBluePrintTypes()`
    `static LocalSearchType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LocalSearchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HILL_CLIMBING

          public static final LocalSearchType HILL_CLIMBING

    - #### TABU_SEARCH

          public static final LocalSearchType TABU_SEARCH

    - #### SIMULATED_ANNEALING

          public static final LocalSearchType SIMULATED_ANNEALING

    - #### LATE_ACCEPTANCE

          public static final LocalSearchType LATE_ACCEPTANCE

    - #### GREAT_DELUGE

          public static final LocalSearchType GREAT_DELUGE

    - #### VARIABLE_NEIGHBORHOOD_DESCENT

          public static final LocalSearchType VARIABLE_NEIGHBORHOOD_DESCENT

  - ### Method Detail

    - #### values

          public static LocalSearchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocalSearchType c : LocalSearchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocalSearchType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBluePrintTypes

          public static LocalSearchType[] getBluePrintTypes()

      Returns:
        `values()` without duplicates (abstract types that end up behaving as one of the other types).

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.